# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: gcc-c++ pkgconfig(freetype2) pkgconfig(glibmm-2.4) pkgconfig(gthread-2.0) pkgconfig(gtkglextmm-1.2) pkgconfig(pangoft2) pkgconfig(pangomm-1.4)
# END SourceDeps(oneline)
BuildRequires: libnumpy-devel
%define oldname python-visual
%define fedora 18
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if 0%{?fedora} > 12
%global with_python3 0
%endif

%{echo 


%filter_from_requires /cvisualmodule\.so/d

}

Name:           python-module-visual
Version:        5.74
Release:        alt1_3
Summary:        3D Programming

Group:          Development/Python
# See license.txt file for clarification
License:        Boost and MIT
URL:            http://vpython.org
Source0:        http://vpython.org/contents/download/visual-%{version}_release.tar.bz2
#Patch0:         python-visual-5.40-multilib.patch

BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires:  gtkglextmm-devel
BuildRequires:  libglademm-devel
BuildRequires:  python-devel
BuildRequires: python-module-numpy python-module-numpy-addons python-module-numpy-testing
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires: python3-module-numpy python3-module-numpy-addons python3-module-numpy-testing python3-module-numpy-tests
%endif

Obsoletes:      vpython < %{version}
Provides:       vpython = %{version}
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/.*\.so*
%add_findprov_skiplist %{python3_sitelibdir}/.*\.so*


%if 0%{?with_python3}
%package -n python3-module-visual
Summary:        3D Programming
Group:          Development/Python
%description -n python3-module-visual
Visual Python makes it easy to create navigable 3D displays and animations, 
even for those with limited programming experience. Because it is based on
Python, it also has much to offer for experienced programmers and researchers.


%package -n python3-module-visual-doc
Summary:        Documentation and examples for %{oldname}
Group:          Documentation
BuildArch:      noarch

%description -n python3-module-visual-doc
Documentation and examples for developing with %{oldname}

%endif # with_python3

%description
Visual Python makes it easy to create navigable 3D displays and animations, 
even for those with limited programming experience. Because it is based on
Python, it also has much to offer for experienced programmers and researchers.


%package -n python-module-visual-doc
Summary:        Documentation and examples for %{oldname}
Group:          Documentation
BuildArch:      noarch

%description -n python-module-visual-doc
Documentation and examples for developing with %{oldname}


%prep
%setup -q -n visual-%{version}_release
#rm -r dependencies

#patch0
#autoreconf -fi
#bash autogen.sh

sed -i 's/\r//' \
    docs/visual/VisualRef.css

# make the build more verbose, with deleting all redirections to log file
sed -i 's/2\?>> \?\$(LOGFILE).*//' src/Makefile.in

sed -i 's/boost_thread/boost_thread-mt/g' src/Makefile.in

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif


%build
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
export PYTHON=python3;
%configure --with-html-dir=%{_defaultdocdir}/%{oldname}-doc-%{version}
# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
CFLAGS="%{optflags}" make %{?_smp_mflags}
unset PYTHON
popd
%endif # with_python3


%configure --with-html-dir=%{_defaultdocdir}/%{oldname}-doc-%{version}
# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
CFLAGS="%{optflags}" make %{?_smp_mflags}


%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
make install DESTDIR=%{buildroot} INSTALL="install -p"


find %{buildroot}%{python3_sitelibdir} -name '*.la' | xargs rm -f

# remove installed docs, they go into -doc in %%files section
rm -r %{buildroot}%{_docdir}/*

# IDLE is not packaged in fedora, delete vpython excecuable
rm -f %{buildroot}%{_bindir}/vpython
popd
%endif # with_python3



make install DESTDIR=%{buildroot} INSTALL="install -p"


find %{buildroot}%{python_sitelibdir} -name '*.la' | xargs rm -f

# remove installed docs, they go into -doc in %%files section
rm -r %{buildroot}%{_docdir}/*

# IDLE is not packaged in fedora, delete vpython excecuable
rm -f %{buildroot}%{_bindir}/vpython

# move python_sitelib to python_sitearch
%if %{_lib} == "lib64"
    mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
%endif

 
%if 0%{?with_python3}
%files -n python3-module-visual
%doc license.txt authors.txt NEWS.txt
%{python3_sitelibdir}/vis
%{python3_sitelibdir}/visual


%files -n python3-module-visual-doc
%doc examples docs/index.html docs/visual

%endif # with_python3

%files
%doc license.txt authors.txt NEWS.txt
%{python_sitelibdir}/vis
%{python_sitelibdir}/visual


%files -n python-module-visual-doc
%doc examples docs/index.html docs/visual


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 5.74-alt1_3
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 5.74-alt1_1
- initial fc import

